<?php

namespace ControlScripts\Scopes;

use \SHServ\Middleware\ControlScripts;
use \SHServ\Implements\ControlScriptsInterface;

class BathroomScope extends ControlScripts implements ControlScriptsInterface {
	use \ControlScripts\Common;

	public function register_sync_map(): void {
		$this -> register_global_device_sync_map();
	}

	public function register_events_handlers(): void {
		// Управление светом в ванной происходит через кнопки hall_secondary ( HallScope )
	}

	public function register_actions_scripts(): void {
		$this -> add_toggle_action("bathroom_light_switch", "Ванная", "bathroom_2_light", 0, [
			"description" => "Вкл/Выкл. свет в ванной",
			"author" => "Eugene Sukhodolskiy",
			"state_callback" => function() {
				return $this -> helper() -> make_relay_indicator("bathroom_2_light", 0);
			},
		]);
	}

	public function register_regular_scripts(): void {}
}
